CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2006-6303

The read_multipart function in cgi.rb in Ruby before 1.8.5-p2 does not properly detect boundaries in MIME multipart content, which allows remote attackers to cause a denial of service (infinite loop) via crafted HTTP requests, a different issue than CVE-2006-5467.
Publish Date : 2006-12-06 Last Update Date : 2010-09-15
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 399

- Vendor Statements

Red Hat Enterprise Linux 5 is not vulnerable to this issue as it contains a backported patch. For other versions of Red Hat Enterprise Linux see http://rhn.redhat.com/cve/CVE-2006-6303.html
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low 2006-12-04 2006-12-04
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2006-6303 oval:org.opensuse.security:def:20066303 unix
RHSA-2007:0961: ruby security update (Moderate) oval:com.redhat.rhsa:def:20070961 unix
RHSA-2008:0562: ruby security update (Moderate) oval:com.redhat.rhsa:def:20080562 unix
The read_multipart function in cgi.rb in Ruby before 1.8.5-p2 does not properly detect boundaries in MIME multipart cont... oval:org.mitre.oval:def:10529 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2006-6303

# Product Type Vendor Product Version Update Edition Language
1 Application Yukihiro Matsumoto Ruby 1.8 Version Details Vulnerabilities
2 Application Yukihiro Matsumoto Ruby 1.8.1 Version Details Vulnerabilities
3 Application Yukihiro Matsumoto Ruby 1.8.2 Version Details Vulnerabilities
4 Application Yukihiro Matsumoto Ruby 1.8.2 Pre2 Version Details Vulnerabilities
5 Application Yukihiro Matsumoto Ruby 1.8.2 Pre1 Version Details Vulnerabilities
6 Application Yukihiro Matsumoto Ruby 1.8.3 Version Details Vulnerabilities
7 Application Yukihiro Matsumoto Ruby 1.8.4 Version Details Vulnerabilities
8 Application Yukihiro Matsumoto Ruby 1.8.5 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Yukihiro Matsumoto Ruby 8

- References For CVE-2006-6303

http://secunia.com/advisories/31090
SECUNIA 31090
http://jvn.jp/jp/JVN%2384798830/index.html
JVN JVN#84798830
http://docs.info.apple.com/article.html?artnum=305530 CONFIRM
http://secunia.com/advisories/23165
SECUNIA 23165
http://lists.apple.com/archives/security-announce/2007/May/msg00004.html
APPLE APPLE-SA-2007-05-24
http://secunia.com/advisories/23454
SECUNIA 23454
http://secunia.com/advisories/23268
SECUNIA 23268
http://secunia.com/advisories/25402
SECUNIA 25402
http://www.frsirt.com/english/advisories/2007/1939
VUPEN ADV-2007-1939
http://secunia.com/advisories/27576
SECUNIA 27576
http://security.gentoo.org/glsa/glsa-200612-21.xml
GENTOO GLSA-200612-21
http://securitytracker.com/id?1017363
SECTRACK 1017363
http://www.frsirt.com/english/advisories/2006/4855
VUPEN ADV-2006-4855
http://www.mandriva.com/security/advisories?name=MDKSA-2006:225
MANDRIVA MDKSA-2006:225
http://www.novell.com/linux/security/advisories/2007_4_sr.html
SUSE SUSE-SR:2007:004
http://www.redhat.com/support/errata/RHSA-2007-0961.html
REDHAT RHSA-2007:0961
http://bugs.gentoo.org/show_bug.cgi?id=157048
http://www.ruby-lang.org/en/news/2006/12/04/another-dos-vulnerability-in-cgi-library/ CONFIRM
http://www.ubuntu.com/usn/usn-394-1
UBUNTU USN-394-1
http://www.securityfocus.com/bid/21441
BID 21441 Ruby CGI.RB Library Remote Denial Of Service Vulnerability Release Date:2008-07-14
http://xforce.iss.net/xforce/xfdb/30734
XF ruby-cgi-library-dos(30734)
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=218287
http://www.ruby-lang.org/cgi-bin/cvsweb.cgi/ruby/lib/cgi.rb.diff?f=h&only_with_tag=MAIN&r1=text&tr1=1.92&r2=text&tr2=1.91

- Metasploit Modules Related To CVE-2006-6303

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.